@echo on
setlocal enabledelayedexpansion
set localpath="%~dp0"
del Driver.txt
del driverinstall.txt
del drivercheck.txt
del inf.txt

:start
if exist %~dp0driver.txt del %~dp0driver.txt
copy C:\Windows\System32\pnputil.exe "%~dp0"
:ZIP
pushd "%~dp0"
dir *.inf /s /b>>Driver.txt
 for /f "delims=" %%i in (driver.txt) do (
pnputil.exe -a "%%i" /install >>driverinstall.txt
)

:installcheck
pushd %localpath%
dism /online /get-drivers /format:table>drivercheck.txt
for /f "delims=" %%i in ('dir /ad /s /b') do (
dir "%%i"\*.inf /b>>inf.txt
)
dir *.inf /b>>inf.txt
for /f "delims=" %%i in (inf.txt) do (
find /i "%%i" drivercheck.txt
if !errorlevel!==1 goto fail
)
)
if exist "%~dp0Drivers/install.cmd" call "%~dp0Drivers/install.cmd"

:pass
REM color 2F
echo driver install pass
del Driver.txt
del driverinstall.txt
del drivercheck.txt
del pnputil.exe
del inf.txt
timeout 1
call "%~dp0Drivers/cm_pof.exe" 0
pause
exit

:fail
color 4f
timeout 1
call "%~dp0Drivers/cm_pof.exe" 1
pause
goto fail